Skip to content

Get device points​

GET
/devices/{id}/points

Gets one or more points for a device, based on filtering.

Filter limitations

When filtering by time ranges, using the timestamp field, you are limited to at most 90 days of data at a time.
If you request more than 90 days, only the latest 90 days in your range will be returned.
A maximum of 10,000 readings can be returned in one request.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

filter

Filter criteria for fetching device points.

Type
string
Example{"limit":10,"order":["timestamp DESC"]}{"where":{"timestamp":{"between":["2024-12-01T00:00:00.000Z","2024-12-01T23:59:59.999Z"]}},"order":["timestamp DESC"]}{"where":{"correlationId":"abc123"}}
Format
"JSON"

Request example

Responses​

Request was successful

application/json
JSON
[
  
{
  
  
"location": {
  
  
  
"lat": 0,
  
  
  
"lng": 0
  
  
},
  
  
"timestamp": "string",
  
  
"speed": 0,
  
  
"altitude": 0,
  
  
"course": 0,
  
  
"num_value": "string",
  
  
"stringValue": "string",
  
  
"sendReason": 0,
  
  
"sats": 0,
  
  
"hdop": 0,
  
  
"accuracy": 0,
  
  
"locationType": "gps",
  
  
"batteryVoltage": 0,
  
  
"batteryPct": 0,
  
  
"averageCharge": 0,
  
  
"created": "string",
  
  
"address": "string",
  
  
"alertType": 0,
  
  
"currentUsed": 0,
  
  
"gsmSignal": 0,
  
  
"correlationId": "string",
  
  
"id": 0,
  
  
"deviceId": 0
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value